| OpenGL-2.2.1.1: A binding for the OpenGL graphics system | Source code | Contents | Index
Graphics.Rendering.OpenGL.GL.Texturing.Environments |
Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Description
This module corresponds to section 3.8.13 (Texture Environments and Texture Functions) of the OpenGL 2.1 specs.
Documentation
data TextureFunction | Source
Constructors
Modulate |
Decal |
Blend |
Replace |
AddUnsigned |
Combine |
Combine4 |
Instances
Eq TextureFunction
Ord TextureFunction
Show TextureFunction
textureFunction :: StateVar TextureFunction | Source
data TextureCombineFunction | Source
Constructors
Replace' |
Modulate' |
AddUnsigned' |
AddSigned |
Interpolate |
Subtract |
Dot3RGB |
Dot3RGBA |
Instances
Eq TextureCombineFunction
Ord TextureCombineFunction
Show TextureCombineFunction
combineRGB :: StateVar TextureCombineFunction | Source
combineAlpha :: StateVar TextureCombineFunction | Source
data ArgNum | Source
Constructors
Arg0 |
Arg1 |
Arg2 |
Arg3 |
Instances
Eq ArgNum
Ord ArgNum
Show ArgNum
data Arg | Source
Constructors
Arg BlendingFactor Src |
Instances
Eq Arg
Ord Arg
Show Arg
data Src | Source
Constructors
CurrentUnit |
Previous |
Crossbar TextureUnit |
Constant |
PrimaryColor |
Instances
Eq Src
Ord Src
Show Src
argRGB :: ArgNum -> StateVar Arg | Source
argAlpha :: ArgNum -> StateVar Arg | Source
rgbScale :: StateVar GLfloat | Source
alphaScale :: StateVar GLfloat | Source
constantColor :: StateVar (Color4 GLfloat) | Source
textureUnitLODBias :: StateVar LOD | Source
Produced by Haddock version 0.9